package com.qmth.distributed.print.business.bean.result.analyze;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.enums.GradeAnalyzePaperStatusEnum;
import com.qmth.teachcloud.common.enums.TaskResultEnum;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * @Description: 批次查询返回对象
 * @Author: CaoZixuan
 * @Date: 2022-05-24
 */
public class GradeBatchResult {
    @ApiModelProperty(value = "批次id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty(value = "批次名称")
    private String batchName;

    @ApiModelProperty(value = "批次时间")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long batchTime;

    @ApiModelProperty(value = "学期id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long semesterId;

    @ApiModelProperty(value = "学期名称")
    private String semesterName;

    @ApiModelProperty(value = "批次状态")
    private GradeAnalyzePaperStatusEnum status;

    @ApiModelProperty(value = "计算进度")
    private BigDecimal progress;

    @ApiModelProperty(value = "报告路径")
    private String reportFilePath;

    @ApiModelProperty(value = "回调时间")
    private Long notifyTime;

    @ApiModelProperty(value = "数据结果，SUCCESS：成功，ERROR：失败")
    private TaskResultEnum result;

    @ApiModelProperty(value = "教研分析学期id")
    private Long thirdSemesterId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getBatchName() {
        return batchName;
    }

    public void setBatchName(String batchName) {
        this.batchName = batchName;
    }

    public Long getBatchTime() {
        return batchTime;
    }

    public void setBatchTime(Long batchTime) {
        this.batchTime = batchTime;
    }

    public Long getSemesterId() {
        return semesterId;
    }

    public void setSemesterId(Long semesterId) {
        this.semesterId = semesterId;
    }

    public String getSemesterName() {
        return semesterName;
    }

    public void setSemesterName(String semesterName) {
        this.semesterName = semesterName;
    }

    public GradeAnalyzePaperStatusEnum getStatus() {
        return status;
    }

    public void setStatus(GradeAnalyzePaperStatusEnum status) {
        this.status = status;
    }

    public BigDecimal getProgress() {
        return progress;
    }

    public void setProgress(BigDecimal progress) {
        this.progress = progress;
    }

    public String getReportFilePath() {
        return reportFilePath;
    }

    public void setReportFilePath(String reportFilePath) {
        this.reportFilePath = reportFilePath;
    }

    public Long getNotifyTime() {
        return notifyTime;
    }

    public void setNotifyTime(Long notifyTime) {
        this.notifyTime = notifyTime;
    }

    public TaskResultEnum getResult() {
        return result;
    }

    public void setResult(TaskResultEnum result) {
        this.result = result;
    }

    public Long getThirdSemesterId() {
        return thirdSemesterId;
    }

    public void setThirdSemesterId(Long thirdSemesterId) {
        this.thirdSemesterId = thirdSemesterId;
    }
}
